Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18018

Description

When editing the Attribute table of a vector layer writing the value in a column will automatically update that value also in the column that

is selected for sort.

The workaround so far is either to select the column you are editing, but it is cumbersome when you have multiple columns to edit in for a

large number of points

or

create a bogus column which you keep selected for sorting and delete it when job is done.

Associated revisions

Revision 5f1c8f49 - 2014-01-29 10:33 PM - Matthias Kuhn

[attrtable] Don't update sort column cache when unaffected

Fix #9424

History

#1 - 2014-01-26 01:50 AM - Giovanni Manghi

- Category set to Vectors

- Priority changed from Normal to Severe/Regression

- Target version set to Future Release - High Priority

- Affected QGIS version changed from 2.0.1 to master

Confirmed in master, a huge regression that must be fixed before the new release.

#2 - 2014-01-26 01:53 AM - Giovanni Manghi

please note that the values in the column used for ordering are not (over)written after pressing "save", anyway even during editing operations the values in

other columns should not change.

#3 - 2014-01-28 03:59 AM - Matthias Kuhn

- Status changed from Open to Feedback
I am not sure I understand this report.

Are you saying, that when you edit an attribute in the attribute table, it should not automatically be updated? Because it automatically updates the order of

items with the new value and that interrupts the workflow?

Giovanni, which "save" button are you referring to?

#4 - 2014-01-28 05:09 AM - Giovanni Manghi

Hi Matthias

Are you saying, that when you edit an attribute in the attribute table, it should not automatically be updated? Because it automatically updates the

order of items with the new value and that interrupts the workflow?

no, the issue in another. Steps:

) open table

) order attributes using column "A" 

) update (with field calculator) the values of column "B" 

) the result is that new values are placed in both A and B, but after clicking "save edits" the values in "A" are "discarded" and original values are "restored".

It is not a issue causing data corruption, but it makes a lot of confusion.

cheers!

#5 - 2014-01-28 05:43 PM - Leyan Ouyang

I also met this issue, very confusing to see random data changed in the table, even if the underlying data is not affected.

This happens both in Windows and Linux versions of the latest master.

The update does not have to be done using the field calculator, it can be direct edit in the table.

#6 - 2014-01-29 11:50 AM - Giovanni Manghi

- Status changed from Feedback to Open

#7 - 2014-01-29 01:35 PM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"5f1c8f4980e2c6e78a4a49a3994a46e0da2dc059".

#8 - 2014-01-29 01:36 PM - Matthias Kuhn

Outch, that was a bad one indeed. Sorry for that.

2024-04-20 2/2


